{% extends "header.html" %}
{% load url from future %}
{% load i18n %}

{% block contenido %}
	<form method="post">{% csrf_token %}
		<div class="row clearfix">
			<div class="row clearfix">
	    		<h4 align="center">{% blocktrans %}Register in Ironbar{% endblocktrans %}</h4>
	    	</div>
	    	<div class="row clearfix">
		    	<div class="col-md-1 column"></div>
		    	<div class="col-md-10 column">

		    		<div class="col-md-6 column">
			    		<label>{% blocktrans %}Name{% endblocktrans %}:</label> <div id="register_nombre_form"><input type="text" value="" placeholder="{% blocktrans %}Type your name{% endblocktrans %}" class="form-control" id="register_name" name="register_name" autocomplete="off" onkeyup="comprobar_nombre_ajax('register_name');" required></div>
			    		<label>{% blocktrans %}Lastname{% endblocktrans %}:</label> <div id="register_lastname_form"> <input type="text" value="" placeholder="{% blocktrans %}Type your surnames{% endblocktrans %}" class="form-control" id="register_lastname" name="register_surname" autocomplete="off" required="" onkeyup="comprobar_lastname_ajax('register_lastname');" required pattern="[a-z|A-Z]+\s[a-z|A-Z]+"></div>
			    		<label>{% blocktrans %}DNI{% endblocktrans %}:</label> <div id="register_form_dni"><input type="text" value="" placeholder="{% blocktrans %}Type your DNI{% endblocktrans %}: 12345678X" class="form-control" id="register_dni" name="register_dni" autocomplete="off" pattern="[0-9]{8}[a-z|A-Z]+" onkeyup="
			    			comprobar_dni_ajax('register_dni');
			    		" required></div>
			    		<div class="row clear-fix"> {% if msg_dni %} <font color="#FF0000">{{ msg_dni }}</font> {% endif %} </div>
					</div>
		    		<div class="col-md-6 column">
			    		<label>{% blocktrans %}Email{% endblocktrans %}:</label> <div id="register_email_form"><input type="email" value="" placeholder="{% blocktrans %}Type your email{% endblocktrans %}" class="form-control" name="register_email" id="register_email" autocomplete="off" onkeyup="comprobar_email_ajax('register_email');" required></div>
			    		<div class="row clear-fix"> {% if msg_email %} <font color="#FF0000">{{ msg_email }}</font> {% endif %} </div>
			    		<div id="register_pass1_form">
			    			<label>{% blocktrans %}New password{% endblocktrans %}:</label> <input type="password" value="" placeholder="{% blocktrans %}Type your password{% endblocktrans %}" class="form-control" name="register_pass1" id="register_pass1" autocomplete="off" required onkeyup="comprobar_pass1_ajax('register_pass1');">
			    		</div>
			    		<div id="register_pass2_form">
			    			<label>{% blocktrans %}Verify password{% endblocktrans %}:</label> <input type="password" value="" placeholder="{% blocktrans %}Confirm password{% endblocktrans %}" class="form-control" name="register_pass2" id="register_pass2" autocomplete="off" required onkeyup="comprobar_pass2_ajax('register_pass1', 'register_pass2')">
			    		</div>		
			    		<div class="row clear-fix"> {% if msg_pass %} <font color="#FF0000">{{ msg_pass }}</font> {% endif %} </div>	    		
			    	</div>
		    	</div>
		    </div>
		    <div class="row clearfix">
		    	<div class="col-md-9 column"></div>
		    	<div class="col-md-3 column">
		    		<br/>
	    			<button type="submit" class="btn btn-primary" name="register_submit" onclick="return check_same_pass();">{% blocktrans %}Create account{% endblocktrans %}</button>
	    		</div>
	    	</div>
	    </div>
	</div>
{% endblock %}

{% block js %}
	<script type="text/javascript">
		function comprobar_dni_ajax(id_dni) {
			var dni = document.getElementById("" + id_dni + "").value.replace(/\n/g, '<br>');
			$.ajax({
				data: {'dni':dni},
				url: '/register_dni_ajax',
				type: 'get',
				success: function(data){
					try {
						delete_has_error('register_form_dni')
					} catch(err) {}
					try {
						delete_has_success('register_form_dni')
					} catch(err) {}
					

					if (data=="ok") {
						add_class('register_form_dni', "has-success");
					} else {
						add_class('register_form_dni', "has-error");
					}
				}
			});
		}

		function comprobar_pass1_ajax(id_pass1) {
			var pass1 = document.getElementById("" + id_pass1 + "").value.replace(/\n/g, '<br>');
			$.ajax({
				data: {'pass1':pass1},
				url: '/register_pass1_ajax',
				type: 'get',
				success: function(data){
					try {
						delete_has_error('register_pass1_form')
					} catch(err) {}
					try {
						delete_has_success('register_pass1_form')
					} catch(err) {}

					if (data=="ok") {
						add_class('register_pass1_form', "has-success");
					} else {
						add_class('register_pass1_form', "has-error");
					}

				}
			});
		}

		function comprobar_pass2_ajax(id_pass1, id_pass2) {
			var pass1 = document.getElementById("" + id_pass1 + "").value.replace(/\n/g, '<br>');
			var pass2 = document.getElementById("" + id_pass2 + "").value.replace(/\n/g, '<br>');
			$.ajax({
				data: {'pass1':pass1,'pass2':pass2},
				url: '/register_pass2_ajax',
				type: 'get',
				success: function(data){
					try {
						delete_has_error('register_pass2_form')
					} catch(err) {}
					try {
						delete_has_success('register_pass2_form')
					} catch(err) {}

					if (data=="ok") {
						add_class('register_pass2_form', "has-success");
					} else {
						add_class('register_pass2_form', "has-error");
					}

				}
			});
		}

		function comprobar_nombre_ajax(id_nombre) {
			var nombre = document.getElementById("" + id_nombre + "").value.replace(/\n/g, '<br>');
			$.ajax({
				data: {'nombre':nombre},
				url: '/register_nombre_ajax',
				type: 'get',
				success: function(data){
					try {
						delete_has_error('register_nombre_form')
					} catch(err) {}
					try {
						delete_has_success('register_nombre_form')
					} catch(err) {}

					if (data=="ok") {
						add_class('register_nombre_form', "has-success");
					} else {
						add_class('register_nombre_form', "has-error");
					}

				}
			});
		}

		function comprobar_lastname_ajax(id_lastname) {
			var lastname = document.getElementById("" + id_lastname + "").value.replace(/\n/g, '<br>');
			$.ajax({
				data: {'lastname':lastname},
				url: '/register_lastname_ajax',
				type: 'get',
				success: function(data){
					try {
						delete_has_error('register_lastname_form')
					} catch(err) {}
					try {
						delete_has_success('register_lastname_form')
					} catch(err) {}

					if (data=="ok") {
						add_class('register_lastname_form', "has-success");
					} else {
						add_class('register_lastname_form', "has-error");
					}

				}
			});
		}

		function comprobar_email_ajax(id_email) {
			var email = document.getElementById("" + id_email + "").value.replace(/\n/g, '<br>');
			$.ajax({
				data: {'email':email},
				url: '/register_email_ajax',
				type: 'get',
				success: function(data){
					try {
						delete_has_error('register_email_form')
					} catch(err) {}
					try {
						delete_has_success('register_email_form')
					} catch(err) {}

					if (data=="ok") {
						add_class('register_email_form', "has-success");
					} else {
						add_class('register_email_form', "has-error");
					}

				}
			});
		}

	</script>
{% endblock %}